Bug 1328805 - [RFE] Add option to run DWH in a "minimal" mode for collecting data for the dashboards
Summary: [RFE] Add option to run DWH in a "minimal" mode for collecting data for the d...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dwh
Classification: oVirt
Component: Setup
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.0.0-beta
: 4.0.0
Assignee: Shirly Radco
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: ovirt_system_dashboards 1335009 1337280 1351872
TreeView+ depends on / blocked
 
Reported: 2016-04-20 10:20 UTC by Shirly Radco
Modified: 2017-05-11 09:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1335009 (view as bug list)
Environment:
Last Closed: 2016-07-05 07:44:32 UTC
oVirt Team: Metrics
rule-engine: ovirt-4.0.0+
lsvaty: testing_plan_complete-
ylavi: planning_ack+
dfediuck: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 57238 0 master MERGED packaging: setup: Allow choosing scale 2020-06-07 12:37:00 UTC

Description Shirly Radco 2016-04-20 10:20:28 UTC
we would like to have new system dashboard for the admin portal.
The dashboards are dependent on data collected by DWH.
This is why we enforce DWH setup along with engine setup.

We want to add the option of installing a "lean" version of DWH that will store the data for a smaller time frame.

For that we will need to add an answer file that will update ovirt-engine-dwhd.conf

Defaults
# Table Sizes Control in Hours
DWH_TABLES_KEEP_SAMPLES=24
DWH_TABLES_KEEP_HOURLY=1440
DWH_TABLES_KEEP_DAILY=43800    


* No daily aggregations required.
* Hourly data should be saved for 30 days.

Should update:
# Table Sizes Control in Hours
DWH_TABLES_KEEP_SAMPLES=24
DWH_TABLES_KEEP_HOURLY=720
DWH_TABLES_KEEP_DAILY=0

Comment 1 Sandro Bonazzola 2016-05-02 09:52:00 UTC
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.

Comment 2 Yedidyah Bar David 2016-05-09 10:20:06 UTC
Current patch allows reconfiguring scale by running:

engine-setup --otopi-environment='OVESETUP_DWH_CONFIG/scale=none:None'

Allowing doing that with '--reconfigure-optional-components' will require a somewhat-significant change that can break stuff - e.g.:

1. yum install engine+dwh
2. engine-setup engine+dwh
3. engine-setup --reconfigure-optional-components
Currently, engine and dwh are not asked about. If we want to allow that, users can reply 'No', and Bad Things Might Happen (didn't check what, actually).

We can instead add a new option to engine-setup, say '--reconfigure-dwh-scale' that will do exactly the same as:
 --otopi-environment='OVESETUP_DWH_CONFIG/scale=none:None'

Yaniv, what do you say?

Comment 3 Yaniv Lavi 2016-05-09 11:28:55 UTC
(In reply to Yedidyah Bar David from comment #2)
> Current patch allows reconfiguring scale by running:
> 
> engine-setup --otopi-environment='OVESETUP_DWH_CONFIG/scale=none:None'
> 
> Allowing doing that with '--reconfigure-optional-components' will require a
> somewhat-significant change that can break stuff - e.g.:
> 
> 1. yum install engine+dwh
> 2. engine-setup engine+dwh
> 3. engine-setup --reconfigure-optional-components
> Currently, engine and dwh are not asked about. If we want to allow that,
> users can reply 'No', and Bad Things Might Happen (didn't check what,
> actually).
> 
> We can instead add a new option to engine-setup, say
> '--reconfigure-dwh-scale' that will do exactly the same as:
>  --otopi-environment='OVESETUP_DWH_CONFIG/scale=none:None'
> 
> Yaniv, what do you say?

As long as it is in the help, I don't mind the flag name we use.

Comment 4 Yedidyah Bar David 2016-05-10 08:55:59 UTC
(In reply to Yaniv Dary from comment #3)
> As long as it is in the help, I don't mind the flag name we use.

Adding to the help is easy.

Adding to the help only when dwh is installed and/or set up is not.

Which one?

Comment 5 Yaniv Lavi 2016-05-10 10:21:20 UTC
(In reply to Yedidyah Bar David from comment #4)
> (In reply to Yaniv Dary from comment #3)
> > As long as it is in the help, I don't mind the flag name we use.
> 
> Adding to the help is easy.
> 
> Adding to the help only when dwh is installed and/or set up is not.
> 
> Which one?

The first, not conditional.

Comment 6 Yedidyah Bar David 2016-05-11 06:51:39 UTC
Will clone this bug to engine and add there 57303

Comment 7 Lukas Svaty 2016-06-15 09:15:02 UTC
verified in ovirt-engine-dwh-setup-4.0.0-2.el7ev.noarch

Comment 8 Sandro Bonazzola 2016-07-05 07:44:32 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.